System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType

is more efficient than for Boolean values and small integers that are used internally. A can grow indefinitely as needed, but it has the memory and performance overhead that a class instance requires. In contrast, a uses only 32 bits.

A structure can be set up to contain either sections for small integers or bit flags for Booleans, but not both. A is a window into the and is composed of the smallest number of consecutive bits that can contain the maximum value specified in . For example, a section with a maximum value of 1 is composed of only one bit, whereas a section with a maximum value of 5 is composed of three bits. You can create a with a maximum value of 1 to serve as a Boolean, thereby allowing you to store integers and Booleans in the same .

Some members can be used for a that is set up as sections, while other members can be used for one that is set up as bit flags. For example, the property is the indexer for a that is set up as sections, and the property is the indexer for a that is set up as bit flags. creates a series of masks that can be used to access individual bits in a that is set up as bit flags.

Using a mask on a that is set up as sections might cause unexpected results.

Provides a simple structure that stores Boolean values and small integers in 32 bits of memory.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is an O(1) operation.

  Initializes a new instance of the structure containing the data represented in an existing structure.

  A structure that contains the data to copy.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is an O(1) operation.

  Initializes a new instance of the structure containing the data represented in an integer.

  An integer representing the data of the new .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  Use CreateMask() to create the first mask in a series and CreateMask(int) for all subsequent masks.

  Multiple masks can be created to refer to the same bit flag.

  The resulting mask isolates only one bit flag in the . You can combine masks using the bitwise OR operation to create a mask that isolates multiple bit flags in the .

  Using a mask on a that is set up as sections might cause unexpected results.

  This method is an O(1) operation.

  Creates the first mask in a series of masks that can be used to retrieve individual bits in a that is set up as bit flags.

  A mask that isolates the first bit flag in the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  Use CreateMask() to create the first mask in a series and CreateMask(int) for all subsequent masks.

  Multiple masks can be created to refer to the same bit flag.

  The resulting mask isolates only one bit flag in the . You can combine masks using the bitwise OR operation to create a mask that isolates multiple bit flags in the .

  Using a mask on a that is set up as sections might cause unexpected results.

  This method is an O(1) operation.

  Creates an additional mask following the specified mask in a series of masks that can be used to retrieve individual bits in a that is set up as bit flags.

  A mask that isolates the bit flag following the one that points to in .

  The mask that indicates the previous bit flag.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.Specialized.BitVector32+Section ``

  A is a window into the and is composed of the smallest number of consecutive bits that can contain the maximum value specified in . For example, a section with a maximum value of 1 is composed of only one bit, whereas a section with a maximum value of 5 is composed of three bits. You can create a with a maximum value of 1 to serve as a Boolean, thereby allowing you to store integers and Booleans in the same .

  If sections already exist in the , those sections are still accessible; however, overlapping sections might cause unexpected results.

  This method is an O(1) operation.

  Creates the first in a series of sections that contain small integers.

  A that can hold a number from zero to .

  A 16-bit signed integer that specifies the maximum value for the new .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.Specialized.BitVector32+Section `` `` To be added: an object of type 'short' To be added: an object of type 'BitVector32+Section' To be added To be added: an object of type 'BitVector32+Section' To be added
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  To access the value of the individual sections or bit flags, use the property.

  Retrieving the value of this property is an O(1) operation.

  Gets the value of the as an integer.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The object is considered equal to the if the type of is compatible with the type and if the value of is equal to the value of .

  This method is an O(1) operation.

  Determines whether the specified object is equal to the .

  true if the specified object is equal to the ; otherwise, false.

  The object to compare with the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The hash code of a is based on the value of . Two instances of with the same value for will also generate the same hash code.

  This method is an O(1) operation.

  Serves as a hash function for the .

  A hash code for the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added: an object of type 'BitVector32+Section' To be added To be added: an object of type 'int' To be added
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added To be added: an object of type 'bool' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method overrides .

  This method is an O(1) operation.

  Returns a string that represents the current .

  A string that represents the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  This method is an O(1) operation.

  Returns a string that represents the specified .

  A string that represents the specified .

  The to represent.